import { resolveComponent as _resolveComponent, createVNode as _createVNode, createTextVNode as _createTextVNode } from "vue";
import { defineComponent, onMounted, ref, watch } from 'vue';
import { useRouter, useRoute } from 'vue-router';
import '@icon-park/vue-next/styles/index.css';
import './menu.less';
export var MyMenu = defineComponent({
  props: {
    items: Array
  },
  setup: function setup(props) {
    var menuschildren = ref([]);
    var activePath = ref('');
    var activeIndex = ref(0);
    var router = useRouter();
    var route = useRoute();

    var menuClick = function menuClick(json) {
      menuschildren.value = json.children;
    };

    var routerPage = function routerPage(url) {
      router.push(url);
    };

    var menuActive = function menuActive(url) {
      var _a;

      activePath.value = route.path;
      (_a = props.items) === null || _a === void 0 ? void 0 : _a.forEach(function (json, index) {
        var _a;

        if (url === json.url) {
          activeIndex.value = index;
          menuschildren.value = json.children;
        }

        if (json.children.length > 0) {
          (_a = json.children) === null || _a === void 0 ? void 0 : _a.forEach(function (res) {
            if (url == res.url) {
              activeIndex.value = index;
              menuschildren.value = json.children;
            }
          });
        }
      });
    };

    watch(route, function () {
      menuActive(route.path);
    });
    onMounted(function () {
      menuActive(route.path);
    });
    return function () {
      var _a;

      return _createVNode("div", {
        "class": "MenuCont"
      }, [_createVNode("div", {
        "class": "MenuLeft"
      }, [_createVNode("div", {
        "class": "adminLogin"
      }, [_createTextVNode("\u540E\u53F0\u7BA1\u7406\u7CFB\u7EDF")]), (_a = props.items) === null || _a === void 0 ? void 0 : _a.map(function (res, index) {
        return _createVNode("div", {
          "class": index == activeIndex.value ? 'menuList MenuMaxActive' : 'menuList',
          "onClick": function onClick() {
            menuClick(res);
          }
        }, [_createVNode(_resolveComponent("my-icon"), {
          "icon": res.icon,
          "size": 15,
          "color": "#f00"
        }, null), _createVNode("span", null, [res.name])]);
      })]), _createVNode("div", {
        "class": "MenuMinRight"
      }, [_createVNode("div", null, [menuschildren.value.map(function (res) {
        return _createVNode("div", {
          "class": res.url == activePath.value ? 'MinMenyList MenuMinActive' : 'MinMenyList',
          "onClick": function onClick() {
            routerPage(res.url);
          }
        }, [res.name]);
      })])])]);
    };
  }
});