"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MyMenu = void 0;

var _vue = require("vue");

var _vueRouter = require("vue-router");

require("@icon-park/vue-next/styles/index.css");

require("./menu.less");

var MyMenu = (0, _vue.defineComponent)({
  props: {
    items: Array
  },
  setup: function setup(props) {
    var menuschildren = (0, _vue.ref)([]);
    var activePath = (0, _vue.ref)('');
    var activeIndex = (0, _vue.ref)(0);
    var router = (0, _vueRouter.useRouter)();
    var route = (0, _vueRouter.useRoute)();

    var menuClick = function menuClick(json) {
      menuschildren.value = json.children;
    };

    var routerPage = function routerPage(url) {
      router.push(url);
    };

    var menuActive = function menuActive(url) {
      var _a;

      activePath.value = route.path;
      (_a = props.items) === null || _a === void 0 ? void 0 : _a.forEach(function (json, index) {
        var _a;

        if (url === json.url) {
          activeIndex.value = index;
          menuschildren.value = json.children;
        }

        if (json.children.length > 0) {
          (_a = json.children) === null || _a === void 0 ? void 0 : _a.forEach(function (res) {
            if (url == res.url) {
              activeIndex.value = index;
              menuschildren.value = json.children;
            }
          });
        }
      });
    };

    (0, _vue.watch)(route, function () {
      menuActive(route.path);
    });
    (0, _vue.onMounted)(function () {
      menuActive(route.path);
    });
    return function () {
      var _a;

      return (0, _vue.createVNode)("div", {
        "class": "MenuCont"
      }, [(0, _vue.createVNode)("div", {
        "class": "MenuLeft"
      }, [(0, _vue.createVNode)("div", {
        "class": "adminLogin"
      }, [(0, _vue.createTextVNode)("\u540E\u53F0\u7BA1\u7406\u7CFB\u7EDF")]), (_a = props.items) === null || _a === void 0 ? void 0 : _a.map(function (res, index) {
        return (0, _vue.createVNode)("div", {
          "class": index == activeIndex.value ? 'menuList MenuMaxActive' : 'menuList',
          "onClick": function onClick() {
            menuClick(res);
          }
        }, [(0, _vue.createVNode)((0, _vue.resolveComponent)("my-icon"), {
          "icon": res.icon,
          "size": 15,
          "color": "#f00"
        }, null), (0, _vue.createVNode)("span", null, [res.name])]);
      })]), (0, _vue.createVNode)("div", {
        "class": "MenuMinRight"
      }, [(0, _vue.createVNode)("div", null, [menuschildren.value.map(function (res) {
        return (0, _vue.createVNode)("div", {
          "class": res.url == activePath.value ? 'MinMenyList MenuMinActive' : 'MinMenyList',
          "onClick": function onClick() {
            routerPage(res.url);
          }
        }, [res.name]);
      })])])]);
    };
  }
});
exports.MyMenu = MyMenu;